Subject: Re: Proposed new kernel noncaching memory allocator for the 405gp

From: Dan Malek <[email-masked]>
Date: Thu, 22 Mar 2001 14:50:00 -0500

Frank Rowand wrote:

> Dan Malek has provided the functions consistent_alloc(), consistent_free(),
> and consistent_sync() for uses other than PCI.

But, what I haven't yet done is modify the general PowerPC PCI
functions (like pci_consistent_alloc()) to use these lower level
functions on the MPC8xx or the IBM4xx.  If you want to hack those
PCI functions in your local sources, go ahead, as the plan is to
make those work.  I just have to test against other platforms to
ensure I didn't break something, which is much more time consuming
that just making them work for a specific test environment.

	-- Dan

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/